Bug 182384 - [JHBuild] Add libva in moduleset
Summary: [JHBuild] Add libva in moduleset
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Philippe Normand
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-02-01 06:33 PST by Philippe Normand
Modified: 2018-02-07 03:34 PST (History)
9 users (show)

See Also:


Attachments
Patch (3.20 KB, patch)
2018-02-01 06:47 PST, Philippe Normand
no flags Details | Formatted Diff | Diff
Patch (3.28 KB, patch)
2018-02-07 02:13 PST, Philippe Normand
calvaris: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2018-02-01 06:33:51 PST
And patch it to remove annoying verbose printfs cluttering layout test output.
Comment 1 Philippe Normand 2018-02-01 06:47:02 PST
Created attachment 332871 [details]
Patch
Comment 2 Carlos Alberto Lopez Perez 2018-02-06 03:21:49 PST
Comment on attachment 332871 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=332871&action=review

> Tools/gstreamer/jhbuild.modules:122
> +   <autotools id="libva" autogenargs="--enable-va-messaging=no">
> +    <branch module="intel/libva/archive/${version}.tar.gz" version="2.0.0"
> +            checkoutdir="libva-${version}" repo="github-tarball"/>
> +   </autotools>

github on-the-fly tarballs/zips are not guaranteed to have stable hashes and should be avoided. Example of the issue: https://github.com/easybuilders/easybuild-easyconfigs/issues/5151

Instead of using this resource, please use the tarball properly released at https://github.com/intel/libva/releases/download/2.0.0/libva-2.0.0.tar.bz2 which has this sha1sum: https://github.com/intel/libva/releases/download/2.0.0/libva-2.0.0.tar.bz2.sha1sum

Notice the diference in the URI  ( /archive/XXX vs /release/XXX )
Comment 3 Philippe Normand 2018-02-07 02:13:00 PST
Created attachment 333274 [details]
Patch
Comment 4 Xabier Rodríguez Calvar 2018-02-07 02:52:30 PST
Comment on attachment 333274 [details]
Patch

This reminds me that we might want to create a common GStreamer script for dependencies.
Comment 5 Philippe Normand 2018-02-07 03:33:03 PST
Committed r228221: <https://trac.webkit.org/changeset/228221>
Comment 6 Radar WebKit Bug Importer 2018-02-07 03:34:38 PST
<rdar://problem/37309231>